Skip to main content
`Ctrl`+`K`

# PetscLimiterSetType

Builds a `PetscLimiter` for a given `PetscLimiterType`

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscLimiterSetType(PetscLimiter lim, PetscLimiterType name)

Collective

## Input Parameters

- lim - The `PetscLimiter` object

- name - The kind of limiter

## Options Database Key

- -petsclimiter_type type - Sets the PetscLimiter type; use -help for a list of available types

## See Also

`PetscLimiter`, `PetscLimiterType`, `PetscLimiterGetType()`, `PetscLimiterCreate()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

## Examples

src/ts/tutorials/ex11.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages